> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rio.trade/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhook by id



## OpenAPI

````yaml get /api/webhooks/{id}
openapi: 3.0.0
info:
  version: v1.0.0
  title: Webhooks API
  description: API for managing webhooks in the Rio platform
servers:
  - url: https://app.sandbox.rio.trade
security:
  - apiKeyAuth: []
paths:
  /api/webhooks/{id}:
    get:
      summary: Get a webhook registration
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Id of the webhook to be obtained.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseWebhookSchema'
components:
  schemas:
    responseWebhookSchema:
      type: object
      properties:
        userId:
          type: string
          description: Id of the user that the webhook is for
          example: 66562bc04fe8bf83c577c178
        type:
          type: string
          description: Type of webhook
          enum:
            - orders
            - bank-accounts
            - users
        url:
          type: string
          description: URL to send the webhook to
          example: https://app.test.rio.trade/en/account
        id:
          type: string
          description: Id of the webhook registration
          example: 66733d33222710ab2785dc62
        retryOnFailure:
          type: boolean
          description: Whether the webhook will retry on failure
          example: true
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````